summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andre Barboza2010-06-15 08:03:48 +0200
committer Robby Workman2010-06-15 08:03:48 +0200
commita54a81cfe60de42fd7f504ae6cb9ebcd5dc1b3d3 (patch)
tree5f383586d760004d8d486e097906efd023032698
parent5ae41a51f9cc69060aa604144e5fe8a597b6892c (diff)
downloadslackbuilds-a54a81cfe60de42fd7f504ae6cb9ebcd5dc1b3d3.tar.gz
development/qt-creator: Added (Cross-Platform Qt IDE)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/qt-creator/README4
-rw-r--r--development/qt-creator/doinst.sh4
-rw-r--r--development/qt-creator/qt-creator.SlackBuild103
-rw-r--r--development/qt-creator/qt-creator.desktop9
-rw-r--r--development/qt-creator/qt-creator.info10
-rw-r--r--development/qt-creator/slack-desc19
6 files changed, 149 insertions, 0 deletions
diff --git a/development/qt-creator/README b/development/qt-creator/README
new file mode 100644
index 0000000000..3f94863d04
--- /dev/null
+++ b/development/qt-creator/README
@@ -0,0 +1,4 @@
+qt-creator is a Cross-Platform Qt IDE.
+
+The goal of Qt Creator is to provide a cross-platform, complete Integrated
+Development Environment (IDE) to develop Qt projects.
diff --git a/development/qt-creator/doinst.sh b/development/qt-creator/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/development/qt-creator/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/development/qt-creator/qt-creator.SlackBuild b/development/qt-creator/qt-creator.SlackBuild
new file mode 100644
index 0000000000..1b732e94a8
--- /dev/null
+++ b/development/qt-creator/qt-creator.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for qt-creator
+
+# Copyright 2009 Andre Barboza
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Written by Andre Barboza <bmg.andre@gmail.com>
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=qt-creator
+VERSION=${VERSION:-1.3.1}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-src
+unzip $CWD/$PRGNAM-$VERSION-src.zip
+cd $PRGNAM-$VERSION-src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# We are intentionally using an in-source build here,
+# because the out-of-source build was causing errors
+qmake \
+ IDE_LIBRARY_BASENAME="lib$LIBDIRSUFFIX" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS" \
+ qtcreator.pro
+make
+make install INSTALL_ROOT=$PKG/usr
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/bin; ln -s qtcreator.bin qtcreator )
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/qt-creator.desktop > $PKG/usr/share/applications/qt-creator.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a HACKING LICENSE.LGPL README LGPL_EXCEPTION.TXT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/qt-creator/qt-creator.desktop b/development/qt-creator/qt-creator.desktop
new file mode 100644
index 0000000000..e5f6a2b951
--- /dev/null
+++ b/development/qt-creator/qt-creator.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Qt Creator IDE
+Exec=qtcreator
+Icon=qtcreator_logo_48
+Categories=Development;IDE;
+Version=1.0
+StartupNotify=true
+Type=Application
+Terminal=false
diff --git a/development/qt-creator/qt-creator.info b/development/qt-creator/qt-creator.info
new file mode 100644
index 0000000000..b4fde964f3
--- /dev/null
+++ b/development/qt-creator/qt-creator.info
@@ -0,0 +1,10 @@
+PRGNAM="qt-creator"
+VERSION="1.3.1"
+HOMEPAGE="http://qt.nokia.com/"
+DOWNLOAD="http://get.qt.nokia.com/qtcreator/qt-creator-1.3.1-src.zip"
+MD5SUM="b4c66810c591f62aa26739f997ffe88b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
+APPROVED="rworkman"
diff --git a/development/qt-creator/slack-desc b/development/qt-creator/slack-desc
new file mode 100644
index 0000000000..cfa0ff6517
--- /dev/null
+++ b/development/qt-creator/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qt-creator: qt-creator (Cross-Platform Qt IDE)
+qt-creator:
+qt-creator: The goal of Qt Creator is to provide a cross-platform, complete
+qt-creator: Integrated Development Environment (IDE) to develop Qt projects.
+qt-creator: It is available for the Linux, Mac OS X and Windows platforms.
+qt-creator:
+qt-creator: Homepage: http://qt.nokia.com/
+qt-creator:
+qt-creator:
+qt-creator:
+qt-creator: